Bug 32752 - vim: Symbol `ospeed' has different size in shared object, consider re-linking
vim: Symbol `ospeed' has different size in shared object, consider re-linking
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: vim (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-22 18:43 EST by Martin C. Messer
Modified: 2007-04-18 12:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-28 08:05:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin C. Messer 2001-03-22 18:43:55 EST
vim: Symbol `ospeed' has different size in shared object, consider
re-linking

I get the above error when I close vim after editing a file. I have just
applied the latest vim errata: 

[root@evelle /root]# rpm -qa | grep vim 
vim-minimal-5.7-8
vim-common-5.7-8
vim-enhanced-5.7-8
vim-X11-5.7-8
Comment 1 Zvi Har'El 2001-03-28 06:04:31 EST
rebuilding the vim package solves the problem:
 cd /usr/src/redhat/SRPMS
 rpm --rebuild vim-5.7-8.src.rpm
 cd /usr/src/redhat/RPMS/i386
 rpm --force -Uvh vim*
Comment 2 Martin C. Messer 2001-03-28 08:05:49 EST
Confirmed.
Comment 3 David Lawrence 2001-03-28 11:44:48 EST
Verified this problem to occur with vim-minimal-5.7-8. This problem though does
seem to be fixed in our latest version of vim available either from rawhide or
in our latest beta called 'wolverine'. Her are the newest package names.

vim-common-6.0-0.26.i386.rpm    vim-minimal-6.0-0.26.i386.rpm
vim-enhanced-6.0-0.26.i386.rpm  vim-X11-6.0-0.26.i386.rpm

You can probably get these from ftp://rawhide.redhat.com
Comment 4 Andreas M. Kirchwitz 2001-03-28 16:11:04 EST
Hmm,

I have the same problem with the new "vim" package (5.7-8) on all
RedHat 7.0 boxes. But installing a rawhide package with an experimental
version or rebuilding a package manually is not what I'd call a "resolved"
bug. ;-)

Will there be an updated version of the "vim" package with a fixed binary?

Regards,
Andreas

Note You need to log in before you can comment on or make changes to this bug.